use strict;
use warnings;
use ExtUtils::MakeMaker;

WriteMakefile(
    NAME                => 'Net::Bummskraut',
    AUTHOR              => 'Robin Redeker <elmex@ta-sa.org>',
    VERSION_FROM        => 'lib/Net/Bummskraut.pm',
    ABSTRACT_FROM       => 'lib/Net/Bummskraut.pm',
    EXE_FILES           => [qw(bin/bummskraut bin/bummskraut_server)],
    PL_FILES            => {},
    PREREQ_PM => {
        'Test::More' => 0,
        'AnyEvent'   => 0,
        'JSON::XS'   => 0,
        'Curses'     => 0,
        'Net::XMPP2' => 0,
        'Term::ReadKey' => 0,
        'Digest::HMAC_SHA1' => 0,
    },
    dist                => { COMPRESS => 'gzip -9f', SUFFIX => 'gz', },
    clean               => { FILES => 'Net-Bummskraut-*' },
);
